# $Revision: 1.10 $, $Date: 2001/12/05 09:34:56 $
Summary:	The enhanced ftp client
Summary(pl):	Rozszerzony klient ftp
Name:		lukemftp
Version:	1.5
Release:	4
License:	BSD
Group:		Applications/Networking
Group(de):	Applikationen/Netzwerkwesen
Group(pl):	Aplikacje/Sieciowe
Vendor:		Luke Mewburn <lukem@netbsd.org>
Source0:	ftp://ftp.netbsd.org/pub/NetBSD/misc/lukemftp/%{name}-%{version}.tar.gz
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ftp
Obsoletes:	ftp6

%description
The enhancements over the standard ftp client include:
- command-line fetching of URLS, including support for:
     - http proxies
     - authentication
- dynamic progress bar
- IPv6 support
- paging of local and remote files, and of directory listings
- socks4/socks5 support
- TIS Firewall Toolkit gate ftp proxy support
- transfer-rate throttling
- other

%description -l pl
Dodatkowe rozszerzenia w stosunku do standardowego klienta to:
- obsuga URL-i w linii polece wczajc wsparcie dla:
     - http i ftp proxy
     - autoryzacje
- dynamiczny wskanik postpu
- stronicowanie lokalnych i zdalnych listingw plikw i katalogw
- wsparcie dla IPv6
- wsparcie dla socks4/socks5
- wsparcie dla bramki ftp w TIS Firewall Toolkit
- inne

%prep
%setup -q

%build
aclocal
autoconf
%configure \
	--enable-editcomplete \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	prefix=$RPM_BUILD_ROOT \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1
install src/ftp.1 $RPM_BUILD_ROOT%{_mandir}/man1

gzip -9nf README NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {README,NEWS}.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/ftp.1*

%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lukemftp.spec,v $
Revision 1.10  2001/12/05 09:34:56  qboosh
- typos, maked pl summary as pl; release 4

Revision 1.9  2001/10/01 17:03:05  blues
- release 3
- ac2.5 ready

Revision 1.8  2001/04/20 13:34:23  misiek
- rebuild on new glibc to get proper size of ipv6 sockaddr_* structures
- release 2

Revision 1.7  2000/10/11 16:39:55  kloczek
- updated to 1.5,
- removed outdated tinfo patch,
- use new rpm automation.

Revision 1.6  2000/07/20 10:15:58  kloczek
- updated to 1.4.

Revision 1.5  2000/07/13 23:14:35  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.4  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/14 22:41:16  kloczek
- added BuildRequires rules,
- typo: s/LDLAGS/LDFLAGS/ (stripping in %install noow is not neeeded),
- cosmetics,
- fixed %files list (removed %%{_mandir}/man1/cat1 files).

Revision 1.1  2000/05/12 11:33:28  misiek
- biblioteka obsugi plikw dwikowych
- niezy klient ftp (z ipv6) zastpujcy pakiet ftp-*
